import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, select } from '@storybook/addon-knobs';
import readme from './readme.md';
import { FormFileUploadVariation } from './form-file-upload-variation.enum';
import { FormFileUploadValidation } from './form-file-upload-validation.enum';

<Meta 
   title="form/digi-form-file-upload" 
   decorators={[withKnobs]}
   />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the file upload component. By default it is of variation PRIMARY. The label is required!

<Canvas>
	<Story name="Standard">
		/* html */
		{`
      <digi-typography>
       <digi-form-file-upload
         af-label="I am a label"
         af-file-types="*"
       >
       </digi-form-file-upload>
       </digi-typography>
    `}
	</Story>
</Canvas>

## Variations
The component exists in a few different variations. Typescript users should import and use `FormFileUploadVariation` to set variation.

### PRIMARY

Variation PRIMARY makes the 

<Canvas>
	<Story name="Variation - PRIMARY">
		/* html */
		{`
      <digi-typography>
       <digi-form-file-upload
         af-variation="${FormFileUploadVariation.PRIMARY}"
         af-label="I am a label"
         af-file-types="*"
       >
       </digi-form-file-upload>
       </digi-typography>
    `}
	</Story>
</Canvas>

### SECONDARY

Variation SECONDARY makes the 

<Canvas>
	<Story name="Variation - SECONDARY">
		/* html */
		{`
      <digi-typography>
       <digi-form-file-upload
         af-variation="${FormFileUploadVariation.SECONDARY}"
         af-label="I am a label"
         af-file-types="*"
       >
       </digi-form-file-upload>
       </digi-typography>
    `}
	</Story>
</Canvas>

### TERTIARY

Variation TERTIARY makes the 

<Canvas>
	<Story name="Variation - TERTIARY">
		/* html */
		{`
      <digi-typography>
       <digi-form-file-upload
         af-variation="${FormFileUploadVariation.TERTIARY}"
         af-label="I am a label"
         af-file-types="*"
       >
       </digi-form-file-upload>
       </digi-typography>
    `}
	</Story>
</Canvas>

### ENABLED

Validation ENABLED makes the 

<Canvas>
	<Story name="Validation - ENABLED">
		/* html */
		{`
      <digi-typography>
       <digi-form-file-upload
         af-validation="${FormFileUploadValidation.ENABLED}"
         af-label="I am a label"
         af-file-types="*"
       >
       </digi-form-file-upload>
       </digi-typography>
    `}
	</Story>
</Canvas>

### DISABLED

Validation DISABLED makes the 

<Canvas>
	<Story name="Validation - DISABLED">
		/* html */
		{`
      <digi-typography>
       <digi-form-file-upload
         af-validation="${FormFileUploadValidation.DISABLED}"
         af-label="I am a label"
         af-file-types="*"
       >
       </digi-form-file-upload>
       </digi-typography>
    `}
	</Story>
</Canvas>

